
Infrastructure - Task #1573

Story # 725 (In Progress): Create Authentication and Access control design specifications

Create and use Types.Session with authentication-related interfaces

2011-05-17 18:54 - Ben Leinfelder

Status: Closed Start date: 2011-05-17

Priority: Normal Due date:  

Assignee: Matthew Jones % Done: 100%

Category: d1_common_java Estimated time: 1.00 hour

Target version: Maintenance Backlog   

Milestone: CCI-1.0.0 Story Points:  

Product Version: *   

Description

In a sidebar discussion today, Matt an I decided we should use a custom Session type to encapsulate what we've been calling the

X509Certificate. This will be a D1-specific type comprised of the following components:

Subject (our D1 version of java.security.Principal)

PrincipalList

We will construct these Session objects from the contents of a true java X509Certificate but this allows us to generate a custom class

(jibx) and use this class in our interface definitions (applicable across programming languages like python).

Methods that had previously been defined to use X509Certifcate (a placeholder class to begin with) should be changed to use

Types.Session.

History

#1 - 2011-05-17 21:27 - Ben Leinfelder

A few TODOs:

-rename Principal to Subject in d1 schema (0.6.1 tag?)

-use Subject rather than Principal in interface/impl classes

-create Session type (0.6.1 tag?) (comprised of Subject and PrincipalList)

-remove X509Certificate placeholder from d1 schema

-replace X509Certificate references with the Session object

-consider renaming PrincipalList to SubjectList and renaming the Principal member variables in Person and AccessRule to use new 'Subject'

nomenclature to be consistent.

#2 - 2011-05-18 00:11 - Matthew Jones

- Category set to d1_common_java

- Assignee changed from Ben Leinfelder to Matthew Jones

- Milestone set to 2011-Block-3

#3 - 2011-05-18 07:56 - Matthew Jones

- translation missing: en.field_remaining_hours set to 1.0

- % Done changed from 0 to 50

-- Principal renamed to Subject and PrincipalList renamed to SubjectList in schema and java {common, libclient, integration, identity_manager}.  Still

need to check CN code.

-- Session class added in schema.

-- X509Certificate removed from schema.

-- Subject nomenclature used throughout schema now.
#4 - 2012-05-17 19:02 - Rob Nahf

- Milestone changed from 2011-Block-3 to CCI-1.0.0

#5 - 2012-10-11 15:27 - Dave Vieglais

- Target version changed from Sprint-2012.37-Block.5.3 to Sprint-2012.41-Block.6.1

#6 - 2012-10-22 20:18 - Ben Leinfelder

- Status changed from In Progress to Closed

- Estimated time set to 1.00

- translation missing: en.field_remaining_hours changed from 1.0 to 0.0

#7 - 2012-10-24 18:10 - Dave Vieglais

- Target version changed from Sprint-2012.41-Block.6.1 to Sprint-2012.46-Block.6.3

#8 - 2012-12-12 16:50 - Chris Jones

- Target version changed from Sprint-2012.46-Block.6.3 to Sprint-2012.50-Block.6.4

#9 - 2012-12-12 19:09 - Chris Jones

- Target version changed from Sprint-2012.50-Block.6.4 to 2013.2-Block.1.1

#10 - 2013-03-01 18:57 - Chris Jones

- Target version changed from 2013.2-Block.1.1 to 2013.10-Block.2.1

#11 - 2013-08-02 12:22 - Dave Vieglais

- Target version changed from 2013.10-Block.2.1 to 2013.33-Block.4.4

#12 - 2014-01-06 17:50 - Chris Jones

- Target version changed from 2013.33-Block.4.4 to 2014.2-Block.1.1

#13 - 2014-03-14 17:29 - Chris Jones

- Target version deleted (2014.2-Block.1.1)

#14 - 2014-10-01 20:47 - Dave Vieglais

- Target version set to Maintenance Backlog
